# Class MissingResourceException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.gradle.api.GradleException
org.gradle.api.resources.ResourceException
org.gradle.api.resources.MissingResourceException

All Implemented Interfaces:
  `Serializable`

public class MissingResourceException extends ResourceException
Exception thrown when the resource does not exist

Since:
  1.0
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MissingResourceException(String message)`
  Creates a new `MissingResourceException`.
  `MissingResourceException(String message, Throwable cause)`
  Creates a new `MissingResourceException`.
  `MissingResourceException(URI location, String message)`
  Creates a new `MissingResourceException`.
  `MissingResourceException(URI location, String message, Throwable cause)`
  Creates a new `MissingResourceException`.

- ## Method Summary

  ### Methods inherited from class ResourceException

  `getLocation`

  ### Methods inherited from class Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### MissingResourceException

    public MissingResourceException(String message)
    Creates a new `MissingResourceException`.
    Since:
      1.0

  - ### MissingResourceException

    public MissingResourceException(String message, Throwable cause)
    Creates a new `MissingResourceException`.
    Since:
      2.13

  - ### MissingResourceException

    public MissingResourceException(URI location, String message)
    Creates a new `MissingResourceException`.
    Since:
      2.13

  - ### MissingResourceException

    public MissingResourceException(URI location, String message, Throwable cause)
    Creates a new `MissingResourceException`.
    Since:
      2.13